# gp_pattern

## GP

## 2000

## NAME

gp_pattern - computate frequencies of nucleotide patterns

## SYNOPSIS

[-H] [-q] [-v] [-d] [-h] [inputfile] [outputfile]

## OPTIONS

-l value
  set pattern length

-H
  Output in HTML mode

-v
  Prints the version information.

-q
  Do not display error messages

-d
  Prints lots of debugging information.

-h
  Shows usage information.

inputfile
  file to proces; if not given, will use standard input

outputfile
  file to write the data to; if not given, will use standard output

## DESCRIPTION

gp_dimer records frequencies of patterns. The pattern length is set with the -l option. Beware: the number of possible patterns grows exponentially, so setting pattern length greater then 6 can be dangerous. You must use this program only with DNA/RNA sequences.

## SEE ALSO

Genpak(1) gp_acc(1) gp_adjust(1) gp_cdndev(1) gp_cusage(1) gp_digest(1) gp_dimer(1) gp_findorf(1) gp_gc(1) gp_getseq(1) gp_map(1) gp_matrix(1) gp_mkmtx(1) gp_primer(1) gp_qs(1) gp_randseq(1) gp_seq2prot(1) gp_slen(1) gp_tm(1) gp_trimer(1)

## DIAGNOSTICS

All Genpak programs complain in situations you would also complain, like when they cannot find a sequence you gave them or the sequence is not valid.

The Genpak programs do not write over existing files. I have found this feature very useful :-)

## BUGS

I'm sure there are plenty left, so please mail me if you find them. I tried to clean up every bug I could find.

## AUTHOR

January Weiner III <january@bioinformatics.org>